VIGRA - TemplateRGBPrime2YPrimePbPrFunctor class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| RGBPrime2YPrimePbPrFunctor Class Template Reference |
--- | --- | ---

Convert non-linear (gamma corrected) R'G'B' into Y'PbPr color difference components. More...

`#include "vigra/colorconversions.hxx"`

## Public Types
typedef NumericTraits< T >::RealPromote | component_type
typedef TinyVector< T, 3 > | argument_type
typedef TinyVector< component_type, 3 > | result_type
typedef TinyVector< component_type, 3 > | value_type
## Public Methods
| RGBPrime2YPrimePbPrFunctor ()
| RGBPrime2YPrimePbPrFunctor (component_type max)
template<class V> result_type | operator() (V const &rgb) const

## Detailed Description

### template<class T>
class vigra::RGBPrime2YPrimePbPrFunctor< T >

Convert non-linear (gamma corrected) R'G'B' into Y'PbPr color difference components.

#include "vigra/colorconversions.hxx"
Namespace: vigra

According to ITU-R Recommendation BT.601, the functor realizes the transformation

By default, . This default can be overridden in the constructor. Y' represents the luminance ("brightness") of the color, and Pb and Pr are the blue (B'-Y') and red (R'-Y') color difference components. The transformation is scaled so that the following bounds apply:

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)``

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

| the functor's argument type

typedef NumericTraits<T>::RealPromote component_type

| the result's component type

typedef TinyVector<component_type, 3> result_type

| the functor's result type

typedef TinyVector<component_type, 3> value_type

| Deprecated: use argument_type and result_type

## Constructor & Destructor Documentation

RGBPrime2YPrimePbPrFunctor | ( |  | ) | `[inline]`

| default constructor. The maximum value for each RGB component defaults to 255.

RGBPrime2YPrimePbPrFunctor | ( | component_type | max | ) | `[inline]`

| constructor max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | V const & | rgb | ) | const`[inline]`

| apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)